apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: web-wallet-ingress
  annotations:
    k8s.apisix.apache.org/http-to-https: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  ingressClassName: apisix
  rules:
    - host: web-wallet.pda1.demo.esspass-poc.eu
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: web-wallet-service
                port:
                  number: 80
  tls:
    - hosts:
      - web-wallet.pda1.demo.esspass-poc.eu
      secretName: web-wallet-demo-esspass-poc-cert
